Subject: Re: bug#8165: cperl-mode: The wanted indentation is available via customize

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Sep 2020 10:12:07 -0700

Harald Jörg <[email-masked]> writes:

> Therefore I suggest to close this bug.

Done.

You can just add -done to the bug number in the address if you would
like to do it yourself next time.  See the To-field of this message.

> These are also the recommended settings in the most influential book
> Perl Best Practices (PBP) by Damian Conway.  I guess I should add
> the PBP settings for indentation in a new value to cperl-style-alist,
> but that's probably beyond the scope of this bug report.

It sounds like a good idea to add such an option.

Just a thought: I seem to remember that the PBP recommendations is the
generally accepted style in the Perl community these days?  Does it make
sense to change that to be the default?  (It's been over 10 years since
I did any serious Perl programming...)

Best regards,
Stefan Kangas